//
//  CustomerServiewHttpCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/4/7.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "CustomerServiewHttpCmd.h"
#import "CustomerServiewHttpResult.h"

static NSString *kActionUrl1 = @"/enterprise/activity/queryHelpCenter?size=1000";

@implementation CustomerServiewHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[CustomerServiewHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[CustomerServiewHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString * _Nonnull const kHttpCustomerServiewHttpCmd_pageNum = @"pageNum";
 NSString * _Nonnull const kHttpCustomerServiewHttpCmd_pageSize = @"pageSize";
 NSString * _Nonnull const kHttpCustomerServiewHttpCmd_sort = @"sort";
 NSString * _Nonnull const kHttpCustomerServiewHttpCmd_filters = @"filters";
 NSString * _Nonnull const kHttpCustomerServiewHttpCmd_attr = @"attr";
 NSString * _Nonnull const kHttpCustomerServiewHttpCmd_empid = @"empid";
